package org.jeecg.modules.dynamicStaticAnalysis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.dynamicStaticAnalysis.entity.ConfigRailVehicleTql;
import org.jeecg.modules.dynamicStaticAnalysis.mapper.ConfigRailVehicleTqlMapper;
import org.jeecg.modules.dynamicStaticAnalysis.service.IConfigRailVehicleTqlService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 动静态分析-配置-轨检车TQI超限权值 服务实现类
 * </p>
 *
 * @author hkl
 * @since 2023-08-01
 */
@Service
public class ConfigRailVehicleTqlServiceImpl extends ServiceImpl<ConfigRailVehicleTqlMapper, ConfigRailVehicleTql> implements IConfigRailVehicleTqlService {

    @Override
    public List<ConfigRailVehicleTql> listRecord() {
        List<ConfigRailVehicleTql> records = this.lambdaQuery().eq(ConfigRailVehicleTql::getDelFlag, "0").list();
        return records;
    }
}
