package org.jeecg.modules.maintenanceWork.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 维修作业管理-作业计划批次管理表
 * </p>
 *
 * @author hkl
 * @since 2023-08-09
 */
@Data
@ApiModel(value = "WorkBatchSaveOrUpdateDTO对象", description = "维修作业管理-作业计划批次管理表")
public class WorkBatchSaveOrUpdateDTO {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty("作业计划批次号")
    private String workBatchCode;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("作业终止时间")
    private Date workEndTime;

    @ApiModelProperty("作业班组")
    private String team;

    @ApiModelProperty("来源 1-页面添加 2-超限派工添加")
    private Integer source;

    @ApiModelProperty("作业状态 0-未作业 1-已作业")
    private Integer workStatus;

    @ApiModelProperty("是否删除 0-未删除 1-已删除")
    private String delFlag;

}
