package org.jeecg.modules.maintenanceWork.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.maintenanceWork.dto.WorkBatchDTO;
import org.jeecg.modules.maintenanceWork.dto.WorkBatchSaveOrUpdateDTO;
import org.jeecg.modules.maintenanceWork.entity.WorkBatch;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.maintenanceWork.vo.WorkBatchVO;

/**
 * <p>
 * 维修作业管理-作业计划批次管理表 服务类
 * </p>
 *
 * @author hkl
 * @since 2023-08-09
 */
public interface IWorkBatchService extends IService<WorkBatch> {

    Page<WorkBatchVO> listRecord(Page<WorkBatchVO> pageData, WorkBatchDTO dto);

    void saveRecord(WorkBatchSaveOrUpdateDTO dto);

    void updateRecord(WorkBatchSaveOrUpdateDTO dto);

    void deleteRecord(String id);
}
